#!/bin/bash
#
# written by Thorsten Glebe, November 1997
# Max-Planck-Institut of Nuclear Physics
# Heidelberg / Germany
#
# 1. argument: search dir

DIR=`dirname $0`
source $DIR/util.sh

#
#  Get PACKAGES file
#
PACK_FILE=$LIBROOT/PACKAGES

if [ -d $LIBROOT/include ]; then
  echo $LIBROOT/include
fi
if [ -f $LIBROOT/.itr_find ]; then
  cat $LIBROOT/.itr_find
else
  for i in `cat $PACK_FILE | ${AWK} '$1 !~ /#/ && $2 ~ /\/[0-9]+-[0-9]+/ {print $1"+"substr($2,2)}; $1 !~ /#/ && $2 == "dev" {print $1"+"$2}'`; do
      NAME=`echo $i | cut -d+ -f1`
      VERS=`echo $i | cut -d+ -f2`
      if [ "$VERS" = "dev" ]; then
        PKG_PATH=$ITRROOT/packages/$NAME/$VERS
      else
        PKG_PATH=$ITRROOT/packages/$NAME/$NAME$VERS
      fi
      find $PKG_PATH -name *\\.h -exec dirname {} \; 2>/dev/null
  done | sort | uniq | tee $LIBROOT/.itr_find
fi 

exit 0
