#include <cstdlib>
#include <cstdio>

#include "itrMAP.h"
#include "grr.h"


int itrslt_testMAP()
{
  ITR_map *map;
  int     nmap;
  int     i;

  /* fill MAP */
  map = itrslt_fillMAP( &nmap );
  printf("Contents of MAPs:\n");
  printf("-----------------\n");
  printf("  spl  SL  Lay  Sec  Fed  VME  Brd  Shc  Lnk  DAQID Chan1 Cha1a Cha1b Chan2  Wire1 Wi1a Wi1b Wire2\n");
  for ( i=0; i<nmap; i++ )
    printf("%4s %3d %4d %4d  %04x %4d %4d %4d %4d ITR_%d  %4d %4d %4d %4d    %4d %4d %4d %4d\n",
	   map[i].spl, map[i].sl, map[i].lay, map[i].sec,
	   map[i].fedid, map[i].vmeid, map[i].board, map[i].sharc, map[i].link, map[i].daqid,
	   map[i].chan1, map[i].chan1a, map[i].chan1b, map[i].chan2,	   
	   map[i].wire1, map[i].wire1a, map[i].wire1b, map[i].wire2 );

  return GRR_OK;
}
